summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Chvatal <scarabeus@gentoo.org>2012-05-09 20:33:16 +0000
committerTomas Chvatal <scarabeus@gentoo.org>2012-05-09 20:33:16 +0000
commit9355a5afd5a6057c40627dae254ea033f87597e0 (patch)
tree23f840dd8b6e1d49ba236c6da17ac933ba63c90e /eclass/office-ext.eclass
parentFix xorg-2's git:// EGIT_REPO_URI. (diff)
downloadgentoo-2-9355a5afd5a6057c40627dae254ea033f87597e0.tar.gz
gentoo-2-9355a5afd5a6057c40627dae254ea033f87597e0.tar.bz2
gentoo-2-9355a5afd5a6057c40627dae254ea033f87597e0.zip
Update the default unpack to detect cases when oxt is packed elsewhere.
Diffstat (limited to 'eclass/office-ext.eclass')
-rw-r--r--eclass/office-ext.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/office-ext.eclass b/eclass/office-ext.eclass
index 153661321c9a..c4484c660a20 100644
--- a/eclass/office-ext.eclass
+++ b/eclass/office-ext.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/office-ext.eclass,v 1.3 2012/05/09 16:12:16 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/office-ext.eclass,v 1.4 2012/05/09 20:33:16 scarabeus Exp $
# @ECLASS: office-ext.eclass
# @AUTHOR:
@@ -46,8 +46,12 @@ office-ext_src_unpack() {
default
for i in ${OO_EXTENSIONS[@]}; do
- debug-print "${FUNCNAME}: cp -v \"${DISTDIR}/${i}\" \"${S}\""
- cp -v "${DISTDIR}/${i}" "${S}" || die
+ # Copy only if the oxt is present, sometimes they are in tarballs
+ # so we want to fail only when we do need to do the cp.
+ if [[ -f "${DISTDIR}/${i}" ]] ; then
+ debug-print "${FUNCNAME}: cp -v \"${DISTDIR}/${i}\" \"${S}\""
+ cp -v "${DISTDIR}/${i}" "${S}" || die
+ fi
done
}